/*
 *   This file was automatically generated by version 1.7 of cextract.
 *   Manual editing not recommended.

 */
#ifndef __CEXTRACT__

extern int p3d_set_env_box ( double x1, double x2, double y1, double y2, double z1, double z2 );
extern void p3d_set_env_background_color(double r, double g, double b);
extern int p3d_set_object_color(p3d_rob* r, int color);
extern int p3d_set_robot_box ( double x1, double x2, double y1, double y2, double z1, double z2, double t1, double t2, double u1, double u2, double v1, double v2 );
extern int p3d_set_robot_box_deg ( double x1, double x2, double y1, double y2, double z1, double z2, double t1, double t2, double u1, double u2, double v1, double v2 );
extern void p3d_set_user_config_min_bounds_deg ( p3d_rob * robotPt, double * dtab, int n );
extern void p3d_set_user_config_max_bounds_deg ( p3d_rob * robotPt, double * dtab, int n );
extern void p3d_set_this_robot_radius ( p3d_rob *robotPt, double radius );
extern void p3d_set_robot_radius ( double radius );
extern void p3d_set_env_graphic_dmax ( double val );
extern void p3d_set_env_object_tolerance ( double obj_tol );
extern void p3d_set_env_useBaseMotion ( bool useBaseMotion );
extern void p3d_set_env_dmax ( double dmax );
extern void p3d_set_ROBOT_GOTO ( configPt q );
extern void p3d_set_ROBOT_START ( configPt q );
extern void p3d_set_ROBOT_VELOCITY_START(configPt q_deg);
extern void p3d_set_ROBOT_VELOCITY_GOTO(configPt q_deg);
extern void p3d_set_ROBOT_GOTO_deg_to_rad ( configPt q_deg );
extern void p3d_set_ROBOT_START_deg_to_rad ( configPt q_deg );
extern void p3d_set_ROBOT_VELOCITY_START_deg_to_rad(configPt q_deg);
extern void p3d_set_ROBOT_VELOCITY_GOTO_deg_to_rad(configPt q_deg);
extern int p3d_set_new_robot_config ( p3d_rob* r, const char * name, const configPt q, int * ikSol, config_namePt config );
extern int p3d_saveConfigTofile(p3d_rob* robotPt, configPt q,char* filename);
extern configPt p3d_loadConfigFromfile(p3d_rob* robotPt, char* filename);
extern void p3d_set_robot_config_deg_to_rad ( const char * name, configPt q_deg );
extern void p3d_set_robot_steering_method ( const char * name );
extern void p3d_set_this_robot_steering_method(p3d_rob *robotPt, const char * name);
extern void p3d_set_robot_singularty(p3d_rob *robotPt);
extern void p3d_pushRobotTransitionsDegToRad(configPt q_deg, int position);

extern int p3d_set_obj_display_mode(p3d_obj *o, p3d_obj_display_mode, double *color=NULL);
extern int p3d_set_robot_display_mode(p3d_rob *robotPt, p3d_rob_display_mode, double *color=NULL);


extern int p3d_set_robot_carrying_joint(p3d_rob *robotPt, p3d_jnt *joint);
extern int p3d_grab_object(p3d_rob *robotPt, int armCntrt);
extern int p3d_release_object(p3d_rob *robotPt);
extern int p3d_grab_object2(p3d_rob *robotPt, int armCntrt);

#ifdef LIGHT_PLANNER
extern int p3d_set_object_to_carry(p3d_rob *robotPt, const char *object_name);
extern int p3d_set_object_to_carry_to_arm(p3d_rob *robotPt, int arm_id,const char *object_name);
#endif
extern int p3d_mark_body(p3d_rob *robotPt, char *name, p3d_robot_part part);
extern int p3d_set_distance_weight(p3d_rob *robotPt, char *name, double weight);
extern int p3d_set_collision_tolerance_inhibition(p3d_rob *robotPt, int value);

//modif Alex

extern void p3d_set_col_on(p3d_rob *robotPt);
extern void p3d_set_col_off(p3d_rob *robotPt);
extern void p3d_set_current_robot(p3d_rob *robotPt);

#endif /* __CEXTRACT__ */
